### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information

# Class InternalLoginUserInfo

java.lang.Object
com.sas.services.information.InternalLoginUserInfo

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class InternalLoginUserInfo extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLoginUserInfo(boolean hasInternalLogin)`
  `InternalLoginUserInfo(String username, boolean hasInternalLogin, boolean isDisabled, boolean bypassStrength, boolean bypassHistory, boolean useStdPasswordExpirationDays, int passwordExpirationDays, boolean bypassLockout, boolean bypassInactivitySuspension, boolean doesAccountExpire, Date accountExpirationDate, Date lastPasswordChange, Date lastLogin, int numFailuresSinceLogin, Date lastLockout, boolean isLockedOut, boolean isPasswordExpired, boolean isSuspended, boolean isAccountExpired)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Date`
  `getAccountExpirationDate()`
  `final Date`
  `getLastLockout()`
  `final Date`
  `getLastLogin()`
  `final Date`
  `getLastPasswordChange()`
  `final int`
  `getNumFailuresSinceLogin()`
  `final int`
  `getPasswordExpirationDays()`
  `final String`
  `getUsername()`
  `final boolean`
  `hasInternalLogin()`
  `final boolean`
  `isAccountExpired()`
  `final boolean`
  `isBypassHistory()`
  `final boolean`
  `isBypassInactivitySuspension()`
  `final boolean`
  `isBypassLockout()`
  `final boolean`
  `isBypassStrength()`
  `final boolean`
  `isDisabled()`
  `final boolean`
  `isDoesAccountExpire()`
  `final boolean`
  `isLockedOut()`
  `final boolean`
  `isPasswordExpired()`
  `final boolean`
  `isSuspended()`
  `final boolean`
  `isUseStdPasswordExpirationDays()`
  `final void`
  `setAccountExpirationDate(Date accountExpirationDate)`
  `final void`
  `setAccountExpired(boolean isAccountExpired)`
  `final void`
  `setBypassHistory(boolean bypassHistory)`
  `final void`
  `setBypassInactivitySuspension(boolean bypassInactivitySuspension)`
  `final void`
  `setBypassLockout(boolean bypassLockout)`
  `final void`
  `setBypassStrength(boolean bypassStrength)`
  `final void`
  `setDisabled(boolean isDisabled)`
  `final void`
  `setDoesAccountExpire(boolean doesAccountExpire)`
  `final void`
  `setLastLockout(Date lastLockout)`
  `final void`
  `setLastLogin(Date lastLogin)`
  `final void`
  `setLastPasswordChange(Date lastPasswordChange)`
  `final void`
  `setLockedOut(boolean isLockedOut)`
  `final void`
  `setNumFailuresSinceLogin(int numFailuresSinceLogin)`
  `final void`
  `setPasswordExpirationDays(int passwordExpirationDays)`
  `final void`
  `setPasswordExpired(boolean isPasswordExpired)`
  `final void`
  `setSuspended(boolean isSuspended)`
  `final void`
  `setUsername(String username)`
  `final void`
  `setUseStdPasswordExpirationDays(boolean useStdPasswordExpirationDays)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalLoginUserInfo

    public InternalLoginUserInfo(boolean hasInternalLogin)

  - ### InternalLoginUserInfo

    public InternalLoginUserInfo(String username, boolean hasInternalLogin, boolean isDisabled, boolean bypassStrength, boolean bypassHistory, boolean useStdPasswordExpirationDays, int passwordExpirationDays, boolean bypassLockout, boolean bypassInactivitySuspension, boolean doesAccountExpire, Date accountExpirationDate, Date lastPasswordChange, Date lastLogin, int numFailuresSinceLogin, Date lastLockout, boolean isLockedOut, boolean isPasswordExpired, boolean isSuspended, boolean isAccountExpired)

- ## Method Details

  - ### hasInternalLogin

    public final boolean hasInternalLogin()

  - ### isAccountExpired

    public final boolean isAccountExpired()

  - ### setAccountExpired

    public final void setAccountExpired(boolean isAccountExpired)

  - ### getAccountExpirationDate

    public final Date getAccountExpirationDate()

  - ### setAccountExpirationDate

    public final void setAccountExpirationDate(Date accountExpirationDate)

  - ### isBypassHistory

    public final boolean isBypassHistory()

  - ### setBypassHistory

    public final void setBypassHistory(boolean bypassHistory)

  - ### isBypassInactivitySuspension

    public final boolean isBypassInactivitySuspension()

  - ### setBypassInactivitySuspension

    public final void setBypassInactivitySuspension(boolean bypassInactivitySuspension)

  - ### isBypassLockout

    public final boolean isBypassLockout()

  - ### setBypassLockout

    public final void setBypassLockout(boolean bypassLockout)

  - ### isBypassStrength

    public final boolean isBypassStrength()

  - ### setBypassStrength

    public final void setBypassStrength(boolean bypassStrength)

  - ### isDoesAccountExpire

    public final boolean isDoesAccountExpire()

  - ### setDoesAccountExpire

    public final void setDoesAccountExpire(boolean doesAccountExpire)

  - ### isDisabled

    public final boolean isDisabled()

  - ### setDisabled

    public final void setDisabled(boolean isDisabled)

  - ### isLockedOut

    public final boolean isLockedOut()

  - ### setLockedOut

    public final void setLockedOut(boolean isLockedOut)

  - ### isPasswordExpired

    public final boolean isPasswordExpired()

  - ### setPasswordExpired

    public final void setPasswordExpired(boolean isPasswordExpired)

  - ### isSuspended

    public final boolean isSuspended()

  - ### setSuspended

    public final void setSuspended(boolean isSuspended)

  - ### getLastLockout

    public final Date getLastLockout()

  - ### setLastLockout

    public final void setLastLockout(Date lastLockout)

  - ### getLastLogin

    public final Date getLastLogin()

  - ### setLastLogin

    public final void setLastLogin(Date lastLogin)

  - ### getLastPasswordChange

    public final Date getLastPasswordChange()

  - ### setLastPasswordChange

    public final void setLastPasswordChange(Date lastPasswordChange)

  - ### getNumFailuresSinceLogin

    public final int getNumFailuresSinceLogin()

  - ### setNumFailuresSinceLogin

    public final void setNumFailuresSinceLogin(int numFailuresSinceLogin)

  - ### getPasswordExpirationDays

    public final int getPasswordExpirationDays()

  - ### setPasswordExpirationDays

    public final void setPasswordExpirationDays(int passwordExpirationDays)

  - ### getUsername

    public final String getUsername()

  - ### setUsername

    public final void setUsername(String username)

  - ### isUseStdPasswordExpirationDays

    public final boolean isUseStdPasswordExpirationDays()

  - ### setUseStdPasswordExpirationDays

    public final void setUseStdPasswordExpirationDays(boolean useStdPasswordExpirationDays)